Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenNode

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenChildContainer, GenCommonBase, GenContainerBase, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenChildLabelNode, GenChildNode, GenChildSideAffixedNode, GenTopLevelNode

All Known Implementing Classes:
  GenChildLabelNodeImpl, GenChildNodeImpl, GenChildSideAffixedNodeImpl, GenNodeImpl, GenTopLevelNodeImpl

    public interface GenNode

extends GenChildContainer

A representation of the model object 'Gen Node'. EClass mapped to Node

The following features are supported:

- `Model Facet`
- `Labels`
- `Compartments`
- `Primary Drag Edit Policy Qualified Class Name`
- `Graphical Node Edit Policy Class Name`
- `Create Command Class Name`
- `Reoriented Incoming Links`

See Also:
  `GMFGenPackage.getGenNode()`
** Generated **
Model:
  abstract="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='diagramRunTimeClass.ecoreClass.eAllSuperTypes->including(diagramRunTimeClass.ecoreClass)->one(ePackage.name = \'notation\' and name = \'Node\')' description='Node \'Diagram Runtime Class\' must be a notation::Node or sub-class'"

Field Summary
`static java.lang.String` `CLASS_NAME_PREFIX`
`static java.lang.String` `CREATE_COMMAND_SUFFIX`
`static java.lang.String` `GRAPHICAL_NODE_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`org.eclipse.emf.common.util.EList<GenCompartment>` `getCompartments()` Returns the value of the 'Compartments' reference list.
`java.lang.String` `getCreateCommandClassName()` Returns the value of the 'Create Command Class Name' attribute
`java.lang.String` `getCreateCommandQualifiedClassName()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getDomainMetaClass()` If the meaning of the 'Domain Meta Class' reference isn't clear, there really should be more of a description here...
`java.lang.String` `getGraphicalNodeEditPolicyClassName()` Returns the value of the 'Graphical Node Edit Policy Class Name' attribute
`java.lang.String` `getGraphicalNodeEditPolicyQualifiedClassName()` valid only when there are compartments
`org.eclipse.emf.common.util.EList<GenNodeLabel>` `getLabels()` Returns the value of the 'Labels' containment reference list.
`TypeModelFacet` `getModelFacet()` Returns the value of the 'Model Facet' containment reference
`java.lang.String` `getPrimaryDragEditPolicyQualifiedClassName()` Returns the value of the 'Primary Drag Edit Policy Qualified Class Name' attribute
`org.eclipse.emf.common.util.EList<GenLink>` `getReorientedIncomingLinks()` Returns the value of the 'Reoriented Incoming Links' reference list.
`void` `setCreateCommandClassName(java.lang.String value)` Sets the value of the '`Create Command Class Name`' attribute
`void` `setGraphicalNodeEditPolicyClassName(java.lang.String value)` Sets the value of the '`Graphical Node Edit Policy Class Name`' attribute
`void` `setModelFacet(TypeModelFacet value)` Sets the value of the '`Model Facet`' containment reference
`void` `setPrimaryDragEditPolicyQualifiedClassName(java.lang.String value)` Sets the value of the '`Primary Drag Edit Policy Qualified Class Name`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`getChildNodes`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getAssistantNodes, getCanonicalEditPolicyClassName, getCanonicalEditPolicyQualifiedClassName, getContainedNodes, needsCanonicalEditPolicy, setCanonicalEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNamePrefix, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, isSansDomain, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### CLASS_NAME_PREFIX

    static final java.lang.String CLASS_NAME_PREFIX

See Also:
  Constant Field Values

### GRAPHICAL_NODE_EDIT_POLICY_SUFFIX

    static final java.lang.String GRAPHICAL_NODE_EDIT_POLICY_SUFFIX

See Also:
  Constant Field Values

### CREATE_COMMAND_SUFFIX

    static final java.lang.String CREATE_COMMAND_SUFFIX

See Also:
  Constant Field Values

Method Detail

### getDomainMetaClass

    org.eclipse.emf.codegen.ecore.genmodel.GenClass getDomainMetaClass()

  If the meaning of the 'Domain Meta Class' reference isn't clear, there really should be more of a description here...

  Delegates to modelFacet

  ** Generated **
  Model:
    kind="operation" required="true"

### getGraphicalNodeEditPolicyQualifiedClassName

    java.lang.String getGraphicalNodeEditPolicyQualifiedClassName()

  valid only when there are compartments

  ** Generated **
  Model:
    kind="operation"

### getCreateCommandQualifiedClassName

    java.lang.String getCreateCommandQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getLabels

    org.eclipse.emf.common.util.EList<GenNodeLabel> getLabels()

  Returns the value of the 'Labels' containment reference list. The list contents are of type `GenNodeLabel`. It is bidirectional and its opposite is '`Node`'.

  If the meaning of the 'Labels' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Labels' containment reference list.
  See Also:
    `GMFGenPackage.getGenNode_Labels()`, `GenNodeLabel.getNode()`
  ** Generated **
  Model:
    opposite="node" containment="true"

### getCompartments

    org.eclipse.emf.common.util.EList<GenCompartment> getCompartments()

  Returns the value of the 'Compartments' reference list. The list contents are of type `GenCompartment`. It is bidirectional and its opposite is '`Node`'.

  If the meaning of the 'Compartments' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Compartments' reference list.
  See Also:
    `GMFGenPackage.getGenNode_Compartments()`, `GenCompartment.getNode()`
  ** Generated **
  Model:
    opposite="node"

### getPrimaryDragEditPolicyQualifiedClassName

    java.lang.String getPrimaryDragEditPolicyQualifiedClassName()

  Returns the value of the 'Primary Drag Edit Policy Qualified Class Name' attribute. Custom primary drag edit policy

  Returns:
    the value of the 'Primary Drag Edit Policy Qualified Class Name' attribute.
  See Also:
    `setPrimaryDragEditPolicyQualifiedClassName(String)`, `GMFGenPackage.getGenNode_PrimaryDragEditPolicyQualifiedClassName()`
  ** Generated **
  Model:

### setPrimaryDragEditPolicyQualifiedClassName

    void setPrimaryDragEditPolicyQualifiedClassName(java.lang.String value)

  Sets the value of the '`Primary Drag Edit Policy Qualified Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Primary Drag Edit Policy Qualified Class Name' attribute.
  See Also:
    `getPrimaryDragEditPolicyQualifiedClassName()`
  ** Generated **

### getGraphicalNodeEditPolicyClassName

    java.lang.String getGraphicalNodeEditPolicyClassName()

  Returns the value of the 'Graphical Node Edit Policy Class Name' attribute.

  If the meaning of the 'Graphical Node Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Graphical Node Edit Policy Class Name' attribute.
  See Also:
    `setGraphicalNodeEditPolicyClassName(String)`, `GMFGenPackage.getGenNode_GraphicalNodeEditPolicyClassName()`
  ** Generated **
  Model:

### setGraphicalNodeEditPolicyClassName

    void setGraphicalNodeEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Graphical Node Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Graphical Node Edit Policy Class Name' attribute.
  See Also:
    `getGraphicalNodeEditPolicyClassName()`
  ** Generated **

### getCreateCommandClassName

    java.lang.String getCreateCommandClassName()

  Returns the value of the 'Create Command Class Name' attribute.

  If the meaning of the 'Create Command Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Create Command Class Name' attribute.
  See Also:
    `setCreateCommandClassName(String)`, `GMFGenPackage.getGenNode_CreateCommandClassName()`
  ** Generated **
  Model:

### setCreateCommandClassName

    void setCreateCommandClassName(java.lang.String value)

  Sets the value of the '`Create Command Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Create Command Class Name' attribute.
  See Also:
    `getCreateCommandClassName()`
  ** Generated **

### getReorientedIncomingLinks

    org.eclipse.emf.common.util.EList<GenLink> getReorientedIncomingLinks()

  Returns the value of the 'Reoriented Incoming Links' reference list. The list contents are of type `GenLink`.

  If the meaning of the 'Reoriented Incoming Links' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Reoriented Incoming Links' reference list.
  See Also:
    `GMFGenPackage.getGenNode_ReorientedIncomingLinks()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

### getModelFacet

    TypeModelFacet getModelFacet()

  Returns the value of the 'Model Facet' containment reference.

  If the meaning of the 'Model Facet' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Model Facet' containment reference.
  See Also:
    `setModelFacet(TypeModelFacet)`, `GMFGenPackage.getGenNode_ModelFacet()`
  ** Generated **
  Model:
    containment="true"

### setModelFacet

    void setModelFacet(TypeModelFacet value)

  Sets the value of the '`Model Facet`' containment reference.

  Parameters:
    `value` - the new value of the 'Model Facet' containment reference.
  See Also:
    `getModelFacet()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.